
name: Linux
on: [push, pull_request, workflow_dispatch]

jobs:
  build:
    runs-on: ubuntu-20.04

    strategy:
      fail-fast: false

    steps:
      - name: Get Sources
        uses: actions/checkout@v2
        with:
          path: 'OpenVLBI'

      - name: Build & Install
        run: |
            cd OpenVLBI
            sudo ./scripts/build.sh

      - name: Run Tests
        run: |
            cd OpenVLBI
            mkdir -p tests
            scripts/json_to_image.sh scripts/coverage.json tests/synthesis_delay_coverage
            scripts/json_to_image.sh scripts/raw.json tests/synthesis_delay_raw
            scripts/json_to_image.sh scripts/idft.json tests/synthesis_delay_idft

      - name: Debs
        uses: actions/upload-artifact@v2
        with:
          name: packages
          path: OpenVLBI/packages

      - name: Tests
        uses: actions/upload-artifact@v2
        with:
          name: tests
          path: OpenVLBI/tests
